<?php
    if(!defined("PHORUM_ADMIN")) return;

    // save settings
    if(count($_POST)){
        $PHORUM["mod_real_name"]["quote_type"]=$_POST["quote_type"];

        if(!phorum_db_update_settings(array("mod_real_name"=>$PHORUM["mod_real_name"]))){
	    phorum_admin_error("A database error occured while updating the settings.");
        } else {
            phorum_admin_okmsg("The settings were successfully saved.");
        }
    }

    include_once "./include/admin/PhorumInputForm.php";
    $frm =& new PhorumInputForm ("", "post", "Save");
    $frm->hidden("module", "modsettings");
    $frm->hidden("mod", "real_name");

    $frm->addbreak("Edit settings for the Real Name module");

    $frm->addmessage("By default, Phorum supports two methods for quoting messages in a quoted reply. The first is Phorum's built-in default style of quoting, where each line in the original message is prefixed by \"> \". The second is the quote method of the BBcode mod, where the original message is wrapped inside a [quote=user]...[/quote] block. Both methods will use the username for quoting.<br/><br/>If you want the quoting functionality to use the real name as well, then enable the preferred quoting method in the setting below. <b>Beware that you have to disable the quote hook in the settings for the BBcode module (or any other module that implements quoting of messages).</b>");

    $quotespec = array(
        "disabled" => "Disable the quote feature",
	"built-in" => "Enable default Phorum style quoting",
        "bbcode"   => "Enable BBcode style quoting",
    );

    $frm->addrow("Select preferred quoting functionality", $frm->select_tag("quote_type", $quotespec, $PHORUM["mod_real_name"]["quote_type"]));

    $frm->show();
?>
